- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Fetch Pull Request details from a Git repository link.
HTTP request
GET https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:fetchPullRequest
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the GitRepositoryLink in the format |
Query parameters
| Parameters | |
|---|---|
pullRequestId |
Required. The ID of the Pull Request. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of PullRequest.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
developerconnect.gitRepositoryLinks.fetchPullRequest
For more information, see the IAM documentation.